- Qt 6.8
- Qt GUI
- C++ Classes
- QAccessibleTextUpdateEvent
- Qt 6.8.3 Reference Documentation

# QAccessibleTextUpdateEvent Class

The QAccessibleTextUpdateEvent class notifies about text changes. This is for accessibles that support editable text such as line edits. This event occurs for example when a portion of selected text gets replaced by pasting a new text or in override mode of editors. More...

Header: | `#include <QAccessibleTextUpdateEvent>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Gui)` `target_link_libraries(mytarget PRIVATE Qt6::Gui)`
qmake: | `QT += gui`
Inherits: | QAccessibleTextCursorEvent

- List of all members, including inherited members

## Public Functions

| QAccessibleTextUpdateEvent(QAccessibleInterface *iface, int position, const QString &oldText, const QString &text)
| QAccessibleTextUpdateEvent(QObject *object, int position, const QString &oldText, const QString &text)
int | changePosition() const
QString | textInserted() const
QString | textRemoved() const

## Detailed Description

This class is used with QAccessible::updateAccessibility().

## Member Function Documentation

### QAccessibleTextUpdateEvent::QAccessibleTextUpdateEvent(QAccessibleInterface *iface, int position, const QString &oldText, const QString &text)

Constructs a new QAccessibleTextUpdateEvent for iface. The text change takes place at position where the oldText was removed and text inserted instead.

### QAccessibleTextUpdateEvent::QAccessibleTextUpdateEvent(QObject *object, int position, const QString &oldText, const QString &text)

Constructs a new QAccessibleTextUpdateEvent for object. The text change takes place at position where the oldText was removed and text inserted instead.

### int QAccessibleTextUpdateEvent::changePosition() const

Returns where the change took place.

### QString QAccessibleTextUpdateEvent::textInserted() const

Returns the inserted text.

### QString QAccessibleTextUpdateEvent::textRemoved() const

Returns the removed text.